import request from "@/utils/request";
//审批类型列表
export function apiCateLists(params: any) {
  return request.get({ url: "/cate/index", params });
}
//审批流程列表
export function apiFlowLists(params: any) {
  return request.get({ url: "/flow/index", params });
}
//创建审批类型
export function apiCateCreat(params: any) {
  return request.post({ url: "/cate/create", params });
}
// 创建流程
export function apiFlowCreat(params: any) {
  return request.post({ url: "/flow/create", params });
}

// 启用审批类型
export function apiCateStatus(params: any) {
  return request.get({ url: "/cate/status", params });
}
// 启用审批流程
export function apiFlowStatus(params: any) {
  return request.get({ url: "/flow/status", params });
}
// 审批流程详情
export function apiFlowDetil(params: any) {
  return request.get({ url: "/flow/view", params });
}

// 任务
// 任务审批列表(待审批列表)
export function apiApproveList(params: any) {
  return request.get({ url: "/approve.approve/lists", params });
}

// 任务审批(待审批列表)
export function apiApproveAudit(params: any) {
  return request.get({ url: "/approve.approve/audit", params });
}
